package conn

import "errors"

var (
	ErrCloseClosedSession = errors.New("close closed session")
	// ErrBrokenPipe represents the low-level connection has broken.
	ErrBrokenPipe = errors.New("broken low-level pipe")

	ErrSendPayload = errors.New("serializer is nil, but payload type not []byte")
	ErrSendMarshal = errors.New("message body marshal err")
	ErrSend        = errors.New("send err")
	ErrSendWSType  = errors.New("websocket message type err")

	ErrPack     = errors.New("pack err")
	ErrUnpack   = errors.New("unPacker err")
	ErrNoPacker = errors.New("no packer")

	ErrReceiveZero = errors.New("receive zero")
)
