package conn

const (
	// StatusStart 开始阶段
	StatusStart int32 = iota + 1
	// StatusPrepare 准备阶段
	StatusPrepare
	// StatusPending 等待工作阶段
	StatusPending
	// StatusWorking 工作阶段
	StatusWorking
	// StatusClosed 连接关闭
	StatusClosed
)

type ConnType int

const (
	ConnTypeTCP    ConnType = iota // TCP connection
	ConnTypeWS                     // Websocket connection
	ConnTypeSerial                 // Websocket connection
)

type PendingMessage struct {
	Header  any
	Payload any
}
